Subject: [manet] #52 (nhdp-optimization): Confused paragraph #1 (Editorial issues)

From: "manet issue tracker" <[email-masked]>
Date: Tue, 12 Aug 2014 09:38:34 -0000

#52: Confused paragraph #1 (Editorial issues)

 The draft states in section 3:

 This specification updates [RFC6130].  The optimization presented in
    this specification is simply permissive, as it allows retaining
    information which otherwise would have been removed, but does not use
    that information except when it could have been used by [RFC6130].
    This can, in some cases, ensure that the symmetric 2-hop neighborhood
    is more robust against temporary link quality changes, and
    consequently yield a more stable network.  The only other consequence
    of this optimization is that state for some otherwise expired 2-Hop
    Tuples may be maintained for longer.

 Abdussalam Baryun Comment (AB)> the paragraph starts that it updates 6130
 which is repeated many times before. The above paragraph has no
 applicability statement. Please refer here to applicability statements of
 the updated standards 6130 and 7181, and mention first that their
 applicability applies for this update proposal. This is to avoid
 confusion.

 The draft states in section 3:
  This specification also updates [RFC7181].  This could be avoided by
    simply noting that this specification describes how the updates to
    [RFC6130] may be handled so as to be invisible to any other protocol
    using it.

 AB> I think that this proposal update is for only OLSRv2 routers, this is
 clear from the abstract. However, the above confuses that as separating
 the update of mentioning visibility of any other protocol. I don't think
 this update can be used for AODVv2 (if I mistaken please amend the text to
 avoid confusion).

 The draft states in section 3:

  However as it is known that some implementations of
    [RFC7181] are not independent of the implementation of [RFC6130] that
    they use, it is useful to indicate the direct impact on [RFC7181].

 AB> when you say "it is known", you should mean known by IETF so please
 refer to that known document/reference otherwise it is only known by some
 people. IMHO I remember discussing this issue with OLSRv2 authors at IESG
 last call, I understood from them that OLSRv2 is not independent from
 RFC6130. Now, let me assume I know there are routers independent of their
 RFC6130 interface, then this optimisation proposal  is mostly updating
 RFC6130, therefore, the changes recommended by the draft to the 7181 is
 only a must if there is dependancy, otherwise, please mention that the
 full changes required is a must even if OLSRv2 is not dependent on 6130.
 Furthermore, if there are possibility of other protocol other than OLSRv2
 routers to use this draft, then mention that clearly and mention that the
 Must is of all changes of section 4.

 AB> to avoid confusion if this update is only for OLSRv2 routers then
 mention that in its title. So the title will add words "for OLSRv2
 routers.

 Best.
 AB

-- 
-------------------------------------+-------------------------------------
 Reporter:                           |      Owner:  draft-ietf-manet-nhdp-
  [email-masked]         |  [email-masked]
     Type:  enhancement              |     Status:  new
 Priority:  major                    |  Milestone:
Component:  nhdp-optimization        |    Version:
 Severity:  In WG Last Call          |   Keywords:
-------------------------------------+-------------------------------------

Ticket URL: <http://trac.tools.ietf.org/wg/manet/trac/ticket/52>
manet <http://tools.ietf.org/manet/>

---

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Tue, 12 Aug 2014 09:51:27 +0000

Comments below. CMD.

-- 
Christopher Dearlove
Senior Principal Engineer, Information Assurance Group
Communications, Networks and Image Analysis Capability
BAE Systems Advanced Technology Centre
West Hanningfield Road, Great Baddow, Chelmsford, CM2 8HN, UK
Tel: +44 1245 242194 |  Fax: +44 1245 242124
[email-masked] | http://www.baesystems.com

BAE Systems (Operations) Limited
Registered Office: Warwick House, PO Box 87, Farnborough Aerospace Centre, Farnborough, Hants, GU14 6YU, UK
Registered in England & Wales No: 1996687

-----Original Message-----
From: manet issue tracker [mailto:[email-masked]] 
Sent: 12 August 2014 10:39
To: [email-masked]; [email-masked]
Cc: [email-masked]
Subject: [manet] #52 (nhdp-optimization): Confused paragraph #1 (Editorial issues)

----------------------! WARNING ! ---------------------- This message originates from outside our organisation, either from an external partner or from the internet.
Consider carefully whether you should click on any links, open any attachments or reply.
Follow the 'Report Suspicious Emails' link on IT matters for instructions on reporting suspicious email messages.
--------------------------------------------------------

 Abdussalam Baryun Comment (AB)> the paragraph starts that it updates 6130  which is repeated many times before. The above paragraph has no  applicability statement. Please refer here to applicability statements of  the updated standards 6130 and 7181, and mention first that their  applicability applies for this update proposal. This is to avoid  confusion.

CMD: No. This draft updates RFC 6130. That is the key central fact about where it is applicable. It's said earlier in the abstract and introduction because it's the key fact about the whole specification. But the applicability statement stands alone, and will repeat things said in the introduction. In fact that's the nature of introductions, many things said there are said in more detail later. (In the case of abstracts everything said there is said in more detail later.)

 AB> I think that this proposal update is for only OLSRv2 routers, this is  clear from the abstract. However, the above confuses that as separating  the update of mentioning visibility of any other protocol. I don't think  this update can be used for AODVv2 (if I mistaken please amend the text to  avoid confusion).

CMD: No, again. Stating that it also updates RFC7181 later on is correct. There's no suggestion that this is the only possibility. Updates X and Y in no way implies only updates X in Y context. It would if it were so limited that you'd say so (unless obvious).

 AB> when you say "it is known", you should mean known by IETF so please  refer to that known document/reference otherwise it is only known by some  people.

CMD: It's now known, because this informs you of that. Facts about implementations are hard to pin down to references. However "it is known that" could be removed as tautological.

IMHO I remember discussing this issue with OLSRv2 authors at IESG  last call, I understood from them that OLSRv2 is not independent from  RFC6130. Now, let me assume I know there are routers independent of their
 RFC6130 interface, then this optimisation proposal  is mostly updating  RFC6130, therefore, the changes recommended by the draft to the 7181 is  only a must if there is dependancy, otherwise, please mention that the  full changes required is a must even if OLSRv2 is not dependent on 6130.
 Furthermore, if there are possibility of other protocol other than OLSRv2  routers to use this draft, then mention that clearly and mention that the  Must is of all changes of section 4.

CMD: I just can't parse that. But the part I did understand is just repeating the same misreading.

 AB> to avoid confusion if this update is only for OLSRv2 routers then  mention that in its title. So the title will add words "for OLSRv2  routers.

CMD: The only confusion is yours. There's no suggestion of that anywhere, and it's not so.

 Best.
 AB

-- 
-------------------------------------+----------------------------------
-------------------------------------+---
 Reporter:                           |      Owner:  draft-ietf-manet-nhdp-
  [email-masked]         |  [email-masked]
     Type:  enhancement              |     Status:  new
 Priority:  major                    |  Milestone:
Component:  nhdp-optimization        |    Version:
 Severity:  In WG Last Call          |   Keywords:
-------------------------------------+----------------------------------
-------------------------------------+---

********************************************************************
This email and any attachments are confidential to the intended
recipient and may also be privileged. If you are not the intended
recipient please delete it from your system and notify the sender.
You should not copy it or use it for any purpose nor disclose or
distribute its contents to any other person.
********************************************************************

---

From: Abdussalam Baryun <[email-masked]>
Date: Tue, 12 Aug 2014 17:54:59 +0200

On Tuesday, August 12, 2014, Dearlove, Christopher (UK) wrote:

> CMD: No. This draft updates RFC 6130. That is the key central fact about
> where it is applicable. It's said earlier in the abstract and introduction
> because it's the key fact about the whole specification. But the
> applicability statement stands alone, and will repeat things said in the
> introduction. In fact that's the nature of introductions, many things said
> there are said in more detail later. (In the case of abstracts everything
> said there is said in more detail later.)

[AB] the main point is the applicability within the MANET so draft should
have that clear stated, and if this update accepts the same applicability
of 6130 and 7181.

> CMD: No, again. Stating that it also updates RFC7181 later on is correct.
> There's no suggestion that this is the only possibility. Updates X and Y in
> no way implies only updates X in Y context. It would if it were so limited
> that you'd say so (unless obvious).

AB> When we say MANET we MUST not ignore that there are proactive and
reactive routers. So in the draft ignores reactive routing changes. So does
the WG still think we should not mention clearly that this update is for
both reactive and proactive or clearly that it is for proactive only.

AB> I think when draft was adopted many of WG considered it as OLSRv2/NHDP
optimization (not sure but the chair and AD can know better). Furthermore,
there should be discussions related to AODVv2 to see applicability.

>  people.
> CMD: It's now known, because this informs you of that. Facts about
> implementations are hard to pin down to references. However "it is known
> that" could be removed as tautological.

No. I mean within RFC7181 IMHO it is dependent on 6130, so we don't have
independent.

> IMHO I remember discussing this issue with OLSRv2 authors at IESG  last
> call, I understood from them that OLSRv2 is not independent from  RFC6130.
> Now, let me assume I know there are routers independent of their

The 7181 is dependent on 6130. So no need to update other independent that
are not standards on IETF.

> CMD: The only confusion is yours. There's no suggestion of that anywhere,

Yes. I am a reader of the draft and you are the author. So now the author
notice the reader confusion, which can happen again with other readers on
future, I hope the WG considers this issue.

AB

---

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Tue, 12 Aug 2014 16:25:01 +0000

Comments below.

[email-masked]<mailto:[email-masked]> | http://www.baesystems.com

From: Abdussalam Baryun [mailto:[email-masked]]
Sent: 12 August 2014 16:55
To: Dearlove, Christopher (UK)
Cc: [email-masked]; [email-masked]
Subject: Re: [manet] #52 (nhdp-optimization): Confused paragraph #1 (Editorial issues)

CMD: Actually getting hard to work this out. But if it doesn’t say CMD then I didn’t. Unless a quote from the draft.

[AB] the main point is the applicability within the MANET so draft should have that clear stated, and if this update accepts the same applicability of 6130 and 7181.

CMD: If you update something you do not need to repeat everything about it. If the applicability were changed you’d need to say so, but not if not.

AB> When we say MANET we MUST not ignore that there are proactive and reactive routers. So in the draft ignores reactive routing changes. So does the WG still think we should not mention clearly that this update is for both reactive and proactive or clearly that it is for proactive only.

CMD: This is an update to NHDP and OLSRv2. Those are not reactive. Reactive protocols are irrelevant here. If a protocols such as AODVv2 chose to use NHDP, it would just be the proactive part of this protocol that would be affected. So this is another pointless suggestion.

AB> I think when draft was adopted many of WG considered it as OLSRv2/NHDP optimization (not sure but the chair and AD can know better). Furthermore, there should be discussions related to AODVv2 to see applicability.

No. Not relevant. AODVv2 is also in serious need of work, and waiting for that would be seriously counterproductive, and still not relevant.

No. I mean within RFC7181 IMHO it is dependent on 6130, so we don't have independent.

CMD: I really am not going to explain the relationship here, and how you can write separate or integrated implementations. But perhaps “separate from” might be better than “independent of”.

The 7181 is dependent on 6130. So no need to update other independent that are not standards on IETF.

CMD: Still can’t parse that.

Yes. I am a reader of the draft and you are the author. So now the author notice the reader confusion, which can happen again with other readers on future, I hope the WG considers this issue.

CMD: Sometimes when there is confusion it’s down to the draft. Sometimes it’s down to the reader. You seem to be the only one with a problem.

CMD: Let’s be clear. This is a very simple little draft, doing something really quite straightforward – extending to two hops that already done at one hop. Nothing is perfect of course, and improving change is always possible. But nothing in this thread has made any such suggestion. (I might perhaps make two edits. But both my suggestion, and not discussed with co-author.)

AB

---

From: Abdussalam Baryun <[email-masked]>
Date: Wed, 13 Aug 2014 11:07:16 +0200

I hope that the WG considers this thread points, and to put in mind:

1- that RFC7181 depends on 6130 and its other normative references. IETF
did not standard any independent OLSRv2 from the RFC6130.

2- MANET routers are proactive, reactive, and hybrid.

3- neighbour discovery is part of routing as the 1-hop/2-hop neighbours can
become possible destinations. Any update to RFC6130 is an update to all
MANET routers that use RFC6130.

4- as this WG decided to do RFC6130/RFC5444 (I disagree with
the approach but it's the hard way and can be best way) before finishing
its both routing standards (reactive and proactive) it is important to
consider both routings needs while updating such RFCs 5444 and 6130.

On Tuesday, August 12, 2014, Dearlove, Christopher (UK) wrote:

> *From:* Abdussalam Baryun [mailto:[email-masked]]
> *Sent:* 12 August 2014 16:55
> *To:* Dearlove, Christopher (UK)
> *Cc:* [email-masked]; [email-masked]
> *Subject:* Re: [manet] #52 (nhdp-optimization): Confused paragraph #1
> (Editorial issues)
>
> CMD: Actually getting hard to work this out. But if it doesn’t say CMD
> then I didn’t. Unless a quote from the draft.
>
> CMD: If you update something you do not need to repeat everything about
> it. If the applicability were changed you’d need to say so, but not if not.
>
> We need to mention that this update does not consider reactive routing as
the 6130 does. The update is an update for 6130 and 7181. You mention in
the draft the word "a router" but you only mention the MANET proactive
routing protocol changes. IMHO there must be refer to reactive (as future
work) as long you updated 7181.

> that you'd say so (unless obvious).
Ok, so you believe this update can be done for to interface of reactive
router that uses 6130.

> CMD: This is an update to NHDP and OLSRv2. Those are not reactive.
> Reactive protocols are irrelevant here. If a protocols such as AODVv2 chose
> to use NHDP, it would just be the proactive part of this protocol that
> would be affected. So this is another pointless suggestion.
>
> Not pointless, I suggest strongly to not ignore the fact that this update
is for MANET routers and that this draft needs to mention reactive router
either as future work or as that the update does not consider that routing.

> No. Not relevant. AODVv2 is also in serious need of work, and waiting for
> that would be seriously counterproductive, and still not relevant.
>
>
I did not say wait, just reactive issue discussions. I hardly find
much discussion related to this draft nor analysis.  We need to analyse for
reactive also not only proactive. Did WG do any analysis of this update for
reactive routers? The chair mentioned that usually IETF does analysis for
standards, so I just want to check if the WG done some analysis before
WGLC. I think there was no analysis so the efforts to analyse with reactive
can be relevant.

> CMD: I really am not going to explain the relationship here, and how you
> can write separate or integrated implementations. But perhaps “separate
> from” might be better than “independent of”.
>
>
Therefore, please delete the texts mentioning independent (it is not
relevant). I don't know so far any OLSRv2 standard that
is separate/independent to RFC6130 NHDP.

> Ok, delete below statement from the draft:

{
However as it is known that some implementations of  [RFC7181] are not
independent of the implementation of [RFC6130] that they use, it is useful
to indicate the direct impact on [RFC7181].
}

> CMD: Sometimes when there is confusion it’s down to the draft. Sometimes
> it’s down to the reader.
>
>  Ok, I will prepare my suggestion for editing to clarify that confusions.

> You seem to be the only one with a problem.
>
> I know I always been in rough in this WG, it is not a problem and a
reviewer's detection of confusion possibility in reading is not a problem
also but a quality measure issue (can improve performance as an optimize
router is sensitive to change). Please note that this WG participation is a
small size so even one has a value that IETF should not ignore.

AB

---

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Wed, 13 Aug 2014 09:13:17 +0000

Comments CMD below.

Sent: 13 August 2014 10:07

1- that RFC7181 depends on 6130 and its other normative references. IETF did not standard any independent OLSRv2 from the RFC6130.

CMD: Not relevant, with the possible exception of changing one word.

CMD: Not relevant.

3- neighbour discovery is part of routing as the 1-hop/2-hop neighbours can become possible destinations. Any update to RFC6130 is an update to all MANET routers that use RFC6130.

CMD: No other standardised protocols need updating. (Stronger than that actually, see second part of next comment.)

4- as this WG decided to do RFC6130/RFC5444 (I disagree with the approach but it's the hard way and can be best way) before finishing its both routing standards (reactive and proactive) it is important to consider both routings needs while updating such RFCs 5444 and 6130.

CMD: No one is planning to update 5444, and there are strong reasons not to do so unless essential. This update to 6130 is fully interoperable with non-updated implementations, so no impact there either.

---

From: Ulrich Herberg <[email-masked]>
Date: Wed, 13 Aug 2014 09:20:20 -0700

I concur with everything Chris said. I don't think that the draft
should be updated as suggested. I object to update RFC5444 or RFC6130
unless it is essential (which I don't think it is).

Best regards
Ulrich

On Wed, Aug 13, 2014 at 2:13 AM, Dearlove, Christopher (UK)
<[email-masked]> wrote:
> 1- that RFC7181 depends on 6130 and its other normative references. IETF did
> not standard any independent OLSRv2 from the RFC6130.
>
>
>
> CMD: No other standardised protocols need updating. (Stronger than that
> actually, see second part of next comment.)
>
>
>
> 4- as this WG decided to do RFC6130/RFC5444 (I disagree with the approach
> but it's the hard way and can be best way) before finishing its both routing
> standards (reactive and proactive) it is important to consider both routings
> needs while updating such RFCs 5444 and 6130.
>
>
>
> CMD: No one is planning to update 5444, and there are strong reasons not to
> do so unless essential. This update to 6130 is fully interoperable with
> non-updated implementations, so no impact there either.
>
> _______________________________________________
> manet mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/manet
>

---

From: Abdussalam Baryun <[email-masked]>
Date: Thu, 14 Aug 2014 07:34:12 +0200

> unless it is essential (which I don't think it is).

I don't think some  one suggested update for 5444 in this thread. However
the draft under WGLC is proposing updating 6130 (optional update).

OLSRv2 RFC7181 depends on 5444 and 6130.

AB

---

From: "Dearlove, Christopher (UK)" <[email-masked]>
Date: Thu, 14 Aug 2014 08:42:02 +0000

As later pointed out, but it's easier to reply to this, we have no plans (In fact more than that) to update 5444. This is an update to 6130, but we have no plans to obsolete 6130 (i.e. replace it with a 6130bis). Clash of normal English and RFC Editor jargon.

-----Original Message-----
From: manet [mailto:[email-masked]] On Behalf Of Ulrich Herberg
Sent: 13 August 2014 17:20
To: Dearlove, Christopher (UK)
Cc: [email-masked]; [email-masked]
Subject: Re: [manet] #52 (nhdp-optimization): Confused paragraph #1 (Editorial issues)

I concur with everything Chris said. I don't think that the draft should be updated as suggested. I object to update RFC5444 or RFC6130 unless it is essential (which I don't think it is).

Best regards
Ulrich

On Wed, Aug 13, 2014 at 2:13 AM, Dearlove, Christopher (UK) <[email-masked]> wrote:
> Comments CMD below.
>
>
>
> --
>
> Christopher Dearlove
>
> Senior Principal Engineer, Information Assurance Group Communications, 
> Networks and Image Analysis Capability BAE Systems Advanced Technology 
> Centre West Hanningfield Road, Great Baddow, Chelmsford, CM2 8HN, UK
> Registered Office: Warwick House, PO Box 87, Farnborough Aerospace 
> Centre, Farnborough, Hants, GU14 6YU, UK Registered in England & Wales 
> No: 1996687
>
>
>
> Subject: [manet] #52 (nhdp-optimization): Confused paragraph #1 
> (Editorial
> issues)
>
>
>
> 1- that RFC7181 depends on 6130 and its other normative references. 
> IETF did not standard any independent OLSRv2 from the RFC6130.
>
>
>
> 3- neighbour discovery is part of routing as the 1-hop/2-hop 
> neighbours can become possible destinations. Any update to RFC6130 is 
> an update to all MANET routers that use RFC6130.
>
>
>
> CMD: No other standardised protocols need updating. (Stronger than 
> that actually, see second part of next comment.)
>
>
>
> 4- as this WG decided to do RFC6130/RFC5444 (I disagree with the 
> approach but it's the hard way and can be best way) before finishing 
> CMD: No one is planning to update 5444, and there are strong reasons 
> not to do so unless essential. This update to 6130 is fully 
> interoperable with non-updated implementations, so no impact there either.
>